GNU Radio C++ API Reference: gr::digital::mpsk_snr_est Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::digital::mpsk_snr_est Class Reference

A parent class for SNR estimators, specifically for M-PSK signals in AWGN channels. More...

`#include <gnuradio/digital/mpsk_snr_est.h>`

## Public Member Functions
| mpsk_snr_est (double alpha)
virtual | ~mpsk_snr_est ()
double | alpha () const
| Get the running-average coefficient.
void | set_alpha (double alpha)
| Set the running-average coefficient.
virtual int | update (int noutput_items, const gr_complex *input)
| Update the current registers.
virtual double | snr ()
| Use the register values to compute a new estimate.
virtual double | signal ()
| Returns the signal power estimate.
virtual double | noise ()
| Returns the noise power estimate.

## Protected Attributes
double | d_alpha
double | d_beta
double | d_signal
double | d_noise

## Detailed Description

A parent class for SNR estimators, specifically for M-PSK signals in AWGN channels.

## Constructor & Destructor Documentation

## ◆ mpsk_snr_est()

gr::digital::mpsk_snr_est::mpsk_snr_est | ( | double | alpha | ) |

Constructor

Parameters:

Parameters

  alpha | the update rate of internal running average calculations.

References alpha().

## ◆ ~mpsk_snr_est()

virtual gr::digital::mpsk_snr_est::~mpsk_snr_est | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ alpha()

double gr::digital::mpsk_snr_est::alpha | ( |  | ) | const

Get the running-average coefficient.

Referenced by mpsk_snr_est(), gr::digital::mpsk_snr_est_m2m4::mpsk_snr_est_m2m4(), gr::digital::mpsk_snr_est_simple::mpsk_snr_est_simple(), gr::digital::mpsk_snr_est_skew::mpsk_snr_est_skew(), gr::digital::mpsk_snr_est_svr::mpsk_snr_est_svr(), set_alpha(), and gr::digital::snr_est_m2m4::snr_est_m2m4().

## ◆ noise()

virtual double gr::digital::mpsk_snr_est::noise | ( |  | ) |
| virtual

Returns the noise power estimate.

## ◆ set_alpha()

void gr::digital::mpsk_snr_est::set_alpha | ( | double | alpha | ) |

Set the running-average coefficient.

References alpha().

## ◆ signal()

virtual double gr::digital::mpsk_snr_est::signal | ( |  | ) |
| virtual

Returns the signal power estimate.

## ◆ snr()

virtual double gr::digital::mpsk_snr_est::snr | ( |  | ) |
| virtual

Use the register values to compute a new estimate.

Reimplemented in gr::digital::mpsk_snr_est_m2m4, gr::digital::mpsk_snr_est_simple, gr::digital::mpsk_snr_est_skew, gr::digital::mpsk_snr_est_svr, and gr::digital::snr_est_m2m4.

## ◆ update()

virtual int gr::digital::mpsk_snr_est::update | ( | int | noutput_items,
|  | const gr_complex * | input )
| virtual

Update the current registers.

Reimplemented in gr::digital::mpsk_snr_est_m2m4, gr::digital::mpsk_snr_est_simple, gr::digital::mpsk_snr_est_skew, gr::digital::mpsk_snr_est_svr, and gr::digital::snr_est_m2m4.

## Member Data Documentation

## ◆ d_alpha

double gr::digital::mpsk_snr_est::d_alpha
| protected

## ◆ d_beta

double gr::digital::mpsk_snr_est::d_beta
| protected

## ◆ d_noise

double gr::digital::mpsk_snr_est::d_noise
| protected

## ◆ d_signal

double gr::digital::mpsk_snr_est::d_signal
| protected

The documentation for this class was generated from the following file:

- mpsk_snr_est.h